[arch-commits] Commit in django/trunk (PKGBUILD)

Andrea Scarpino andrea at archlinux.org
Sat Jan 30 12:42:18 EST 2010


    Date: Saturday, January 30, 2010 @ 12:42:18
  Author: andrea
Revision: 65529

upgpkg: django 1.1.1-4
    added bash completion script and built with optimize=1 (FS#18063)

Modified:
  django/trunk/PKGBUILD

----------+
 PKGBUILD |    8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-01-30 17:09:25 UTC (rev 65528)
+++ PKGBUILD	2010-01-30 17:42:18 UTC (rev 65529)
@@ -6,7 +6,7 @@
 
 pkgname=django
 pkgver=1.1.1
-pkgrel=3
+pkgrel=4
 pkgdesc="A high-level Python Web framework."
 arch=('i686' 'x86_64')
 license=('BSD')
@@ -22,6 +22,10 @@
 
 build() {
   cd ${srcdir}/Django-$pkgver
-  python setup.py install --root=${pkgdir} || return 1
+  python setup.py install --root=${pkgdir} --optimize=1 || return 1
+
+  install -Dm644 extras/django_bash_completion \
+    ${pkgdir}/etc/bash_completion.d/django || return 1
+
   install -Dm644 LICENSE ${pkgdir}/usr/share/licenses/$pkgname/LICENSE || return 1
 }



More information about the arch-commits mailing list